Bug 72388 - (Compaq Presario 900) 8139too module fails
(Compaq Presario 900) 8139too module fails
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-23 08:34 EDT by Warren Togami
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-23 08:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-08-23 08:34:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
8139too module fails to load during Anaconda on the Compaq Presario 900US. 
Debug messages from ALT-F4 are below.

This is the same laptop as Bug 72387.

Version-Release number of selected component (if applicable):
Red Hat beta Null

How reproducible:

Additional info:
This is the relevant portion of the messages from ALT-F4 during Anaconda.

<6>8139too Fast Ethernet driver 0.9.25
<6>8139too: pci dev 00:0b.0 (id 10ec:8139 rev ff) is an enhanced 8139C+ chip
<6>8139too: Use the "8139cp" driver for improved performance and stability.
<6>PCI: Assigned IRQ 11 for device 00:0b.0
<3>8139too: 00:0b.0: Chip not responding, ignoring board
Comment 1 Bill Nottingham 2002-08-23 16:40:40 EDT
'Fixed' with a hack to kudzu to recognize those cards. Should be in 0.99.67-1.
Comment 2 Warren Togami 2002-08-25 05:17:49 EDT
I am unable to boot normally on this laptop to test 8139cp, but when I boot with
"pci=conf2" it seems unable to use 8139cp module.   Is this normal?

(This is with kernel-2.4.20-pre-4-ac1.)
Comment 3 Alan Cox 2002-08-25 07:50:52 EDT
pci=conf2 is only supported by some very old mostly 486 chipsets
pci=conf1 is used by all modern systems

Note You need to log in before you can comment on or make changes to this bug.